# Tag Name: action

## Description

Execute an action from within a view

## Attributes

#### Name | #### Required | #### Default | #### Evaluated | #### Type | #### Description
--- | --- | --- | --- | --- | ---
executeResult | false | false | false | Boolean | Whether the result of this action (probably a view) should be executed/rendered
flush | false | true | false | Boolean | Whether the writer should be flush upon end of action component tag, default to true
id | false |  | false | String | id for referencing element. For UI and form tags it will be used as HTML id attribute
ignoreContextParams | false | false | false | Boolean | Whether the request parameters are to be included when the action is invoked
name | true |  | false | String | Name of the action to be executed (without the extension suffix eg. .action)
namespace | false | namespace from where tag is used | false | String | Namespace for action to call